[Variables]
@include=#@#Style.inc
@include2=#@#Languages\#language#.inc

[Fond]
Meter=Shape
MeterStyle=SFT

[Bar]
Meter=Image
SolidColor=0,0,0,50
X=(335*#SCALE#)
Y=(59*#SCALE#)
H=(4*#SCALE#)
W=(67*#SCALE#)
LeftMouseUpAction=[!CommandMeasure "Wplayer" "SetPosition $MouseX:%$"]
UpdateDivider=-1

[Bar2]
Meter=Shape
Shape=Rectangle (335*#SCALE#),(60*#SCALE#),((67*#SCALE#)*([WPProgress]/100)),(2*#SCALE#),5 | Extend Plus
UpdateDivider=1
DynamicVariables=1
Plus=Fill LinearGradient Gradient | StrokeWidth 0
Gradient=90 | #FBP# ; 0.0 | #DA1# ; 1.0

[Wplayer]
Measure=NowPlaying
PlayerName=#Player#
PlayerType=Title
DisableLeadingZero=1
Substitute="":"-"
OnChangeAction=[!UpdateMeasureGroup Sic][!UpdateMeterGroup Sic]

[WPArtist]
Measure=NowPlaying
PlayerName=[Wplayer]
PlayerType=Artist
Substitute="":"-"
UpdateDivider=-1
Group=Sic

[WPAlbum]
Measure=NowPlaying
PlayerName=[Wplayer]
PlayerType=ALBUM
Substitute="":"-"
UpdateDivider=-1
Group=Sic

[WPPosition]
Measure=NowPlaying
PlayerName=[Wplayer]
PlayerType=POSITION
Substitute="":"-"

[WPDuration]
Measure=NowPlaying
PlayerName=[Wplayer]
PlayerType=DURATION
UpdateDivider=-1
Substitute="":"-"
Group=Sic

[WPProgress]
Measure=NowPlaying
PlayerName=[Wplayer]
PlayerType=PROGRESS
Substitute="":"-"

[WCover]
Measure=NowPlaying
PlayerName=[Wplayer]
PlayerType=COVER
UpdateDivider=-1
Group=Sic

[WGenre]
Measure=NowPlaying
PlayerName=[Wplayer]
PlayerType=Genre
UpdateDivider=-1
Substitute="":"-"
Group=Sic

[WYear]
Measure=NowPlaying
PlayerName=[Wplayer]
PlayerType=Year
UpdateDivider=-1
Substitute="":"-"
Group=Sic

[WNumber]
Measure=NowPlaying
PlayerName=[Wplayer]
PlayerType=Number
UpdateDivider=-1
Substitute="":"-"
Group=Sic

[MBitrate]
Measure=Plugin
Plugin=WindowMessagePlugin
WindowClass=Winamp v1.x
WindowMessage=1024 1 126
OnChangeAction=[!UpdateMeter TBTR]
Substitute="":"-"
Group=Sic

[MSample]
Measure=Plugin
Plugin=WindowMessagePlugin
WindowClass=Winamp v1.x
WindowMessage=1024 0 126
Substitute="":"-"
UpdateDivider=-1
Group=Sic

[PProgr]
Measure=NowPlaying
PlayerName=[Wplayer]
PlayerType=State
IfBelowValue=1
IfBelowAction=[!HideMeterGroup Mu]
IfEqualValue=1
IfEqualAction=[!ShowMeterGroup Mu]
UpdateDivider=-1
Group=Sic

[PSTS]
X=(428*#SCALE#)
Y=(57*#SCALE#)
UpdateDivider=-1
Group=Sic

[Cover]
Meter=Shape
MeterStyle=PSTS
Shape=Rectangle 0,0,48,48,30 | StrokeWidth 1 | Stroke Color #DA1# | Fill RadialGradient Gradient
Gradient=7,1 | #FBB# ; 0.0 | #DA1# ; 1.0

[Cover1]
Meter=IMAGE
MeterStyle=PSTS
MeasureName=WCover
H=(52*#SCALE#)
W=(52*#SCALE#)

[PCover]
Measure=Calc
Formula=WCover
IfBelowValue=0
IfBelowAction=[!ShowMeter Cover][!HideMeter Cover1]
IfEqualValue=1
IfEqualAction=[!ShowMeter Cover1][!HideMeter Cover]
UpdateDivider=-1
Group=Sic

[STLC]
Text=%1
H=15
W=145
Clipstring=2
ToolTipText=%1
Group=Sic|Mu

[STLC1]
Group=Sic|Mu

[Artist]
Meter=STRING
MeterStyle=Style1|STLC
MeasureName=WPArtist
TooltipTitle=Artist
X=(80*#SCALE#)
Y=(12*#SCALE#)

[TrackS]
Meter=STRING
MeterStyle=Style1|STLC
MeasureName=Wplayer
TooltipTitle=Track
X=(564*#SCALE#)

[Album]
Meter=STRING
MeterStyle=Style2|STLC
MeasureName=WPAlbum
X=(564*#SCALE#)
TooltipTitle=Album

[Time1]
Meter=STRING
MeasureName=WPPosition
MeterStyle=Style1|STLC1
Text=%1
X=(50*#SCALE#)
UpdateDivider=1
TooltipText=#PRG#

[Time2]
Meter=STRING
MeasureName=WPDuration
MeterStyle=Style2|STLC1
Text=%1
TooltipText=#DURA# 

[TBTR]
Meter=STRING
MeasureName=MBitrate
MeterStyle=Style1|STLC1
Text=%1 kbps
X=(130*#SCALE#)
UpdateDivider=1

[TBTR1]
Meter=STRING
MeasureName=MSample
MeterStyle=Style2|STLC1
Text=%1 khz

[Progression]
Meter=STRING
MeasureName=WPProgress
MeterStyle=Style1
Text=%1%
NumOfDecimals=0
UpdateDivider=1
Group=Sic|Mu
TooltipText=#PRG#
X=(210*#SCALE#)

[Genre]
Meter=STRING
MeterStyle=Style2|STLC1
MeasureName=WGenre
Text=%1
Tooltiptext=%1
H=15
W=78
Clipstring=1

[TYear]
Meter=STRING
MeasureName=WYear
MeterStyle=Style1|STLC1
Text=%1
X=(290*#SCALE#)

[TNumber]
Meter=STRING
MeasureName=WNumber
MeterStyle=Style2|STLC1
Text=%1
Tooltiptext=Track number


[GMB]
Y=(98*#SCALE#)
FontSize=(6*#SCALE#)
FontFace=Wingdings
InlineSetting2=Case | Lower
MouseOverAction=[!SetOption #CURRENTSECTION# FontSize (8*#SCALE#)][!UpdateMeter #CURRENTSECTION#][!Redraw]
MouseLeaveAction=[!SetOption #CURRENTSECTION# FontSize (6*#SCALE#)][!UpdateMeter #CURRENTSECTION#][!Redraw]

[Prev]
Meter=String
MeterStyle=Style3|GMB
Text=
LeftMouseUpAction=[!CommandMeasure "Wplayer" "Previous"]
ToolTipText=#Pre#
X=(340*#SCALE#)

[Play]
Meter=String
MeterStyle=Style4|GMB
Text=u
LeftMouseUpAction=[!CommandMeasure "Wplayer" "PlayPause"]
ToolTipText=#P&P#
X=(360*#SCALE#)

[Stop]
Meter=String
MeterStyle=Style4|GMB
Text=p
LeftMouseUpAction=[!CommandMeasure "Wplayer" "Stop"]
ToolTipText=#ST#
X=(380*#SCALE#)

[Next]
Meter=String
MeterStyle=Style4|GMB
Text=
LeftMouseUpAction=[!CommandMeasure "Wplayer" "Next"]
ToolTipText=#Next#
X=(400*#SCALE#)
