[Variables]
@include=#@#Style.inc
@include2=#@#Languages\#language#.inc
@Include3=#@#Measures\WXDataWeatherRegExp.inc

[Fond]
Meter=Shape
MeterStyle=SFT

[TCurrent]
Meter=String
MeasureName=CurrentTemp
MeterStyle=Style1|STD
Text=%1#UNV#
TooltipText=#Current#
X=(80*#SCALE#)
Y=(12*#SCALE#)

[Condit]
Meter=STRING
MeterStyle=Style1|STD
Text=%1
TooltipText=%1
X=(560*#SCALE#)

[PrecipCurrent]
MeasureName=Precipitation
Meter=String
MeterStyle=Style2|STD
Text=#Preci1#: %1%
X=(560*#SCALE#)

[STD]
Group=Weather

[WeatherParent]
Measure=Plugin
Plugin=WebParser
UpdateRate=650
URL=http://wxdata.weather.com/wxdata/weather/local/#WeatherCode#?cc=*&unit=#Unit#&dayf=6&locale=#Locale#
RegExp=(?siU)^(.*)$
FinishAction=[!UpdateMeasureGroup Weather][!UpdateMeterGroup Weather]
ForceReload=1
Group=Weather

;Today

[TodayGeneralParent]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[WeatherParent]
RegExp=#TodayGeneral#
UpdateDivider=-1

[DayWeek]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[TodayGeneralParent]
StringIndex=2
Substitute=#jpw#
UpdateDivider=-1

[CurrentConditionsParent]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[WeatherParent]
RegExp=#CurrentConditions#
UpdateDivider=-1

[TodayConditionsParent]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[WeatherParent]
RegExp=#TodayDayConditions#
UpdateDivider=-1

[TodayNightConditionsParent]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[WeatherParent]
RegExp=#TodayNightConditions#
UpdateDivider=-1

[CurrentTemp]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[CurrentConditionsParent]
StringIndex=3
UpdateDivider=-1

[ConditionNight]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[TodayNightConditionsParent]
StringIndex=2
UpdateDivider=-1

[Condition]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[TodayConditionsParent]
StringIndex=2
UpdateDivider=-1
IfMatch=^$
IfMatchAction=[!SetOption Condit MeasureName "ConditionNight"][!UpdateMeasureGroup Weather][!UpdateMeterGroup Weather]
IfNotMatchAction=[!SetOption Condit MeasureName "Condition"][!UpdateMeasureGroup Weather][!UpdateMeterGroup Weather] 

[LowTemp]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[TodayGeneralParent]
StringIndex=5
UpdateDivider=-1

[HighTemp]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[TodayGeneralParent]
StringIndex=4
UpdateDivider=-1

[CurrentUnitsOfMeasure]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[WeatherParent]
RegExp=#TodayDayElements#
UpdateDivider=-1

[Precipitation]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[CurrentUnitsOfMeasure]
StringIndex=2
UpdateDivider=-1


;Today


[Date]
Meter=STRING
MeasureName=DayWeek
MeterStyle=Style1|STD
Text=%1
X=(50*#SCALE#)

[TempLL1]
Meter=String
MeasureName=LowTemp
MeasureName2=HighTemp
MeterStyle=Style2|D5

;Day+1

[Day1General]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[WeatherParent]
RegExp=#Day1General#
UpdateDivider=-1

[DayWeek+1]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[Day1General]
StringIndex=1
Substitute=#jpw#
UpdateDivider=-1

[Day1Conditions]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[WeatherParent]
RegExp=#Day1DayConditions#
UpdateDivider=-1

[LowTemp+1]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[Day1General]
StringIndex=4
UpdateDivider=-1

[HighTemp+1]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[Day1General]
StringIndex=3
UpdateDivider=-1


;Meter Day+1

[DateDay+1]
Meter=STRING
MeasureName=DayWeek+1
MeterStyle=Style1|STD
Text=%1
X=(130*#SCALE#)

[TempLLDay+1]
Meter=String
MeasureName=LowTemp+1
MeasureName2=HighTemp+1
MeterStyle=Style2|D5

;Day+2

[Day2General]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[WeatherParent]
RegExp=#Day2General#
UpdateDivider=-1

[DayWeek+2]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[Day2General]
StringIndex=1
Substitute=#jpw#
UpdateDivider=-1

[Day2Conditions]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[WeatherParent]
RegExp=#Day2DayConditions#
UpdateDivider=-1

[LowTemp+2]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[Day2General]
StringIndex=4
UpdateDivider=-1

[HighTemp+2]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[Day2General]
StringIndex=3
UpdateDivider=-1


;Meter Day+2


[DateDay+2]
Meter=STRING
MeasureName=DayWeek+2
MeterStyle=Style1|STD
Text=%1
X=(210*#SCALE#)

[TempLLDay+2]
Meter=String
MeasureName=LowTemp+2
MeasureName2=HighTemp+2
MeterStyle=Style2|D5

;Day+3

[Day3General]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[WeatherParent]
RegExp=#Day3General#
UpdateDivider=-1

[DayWeek+3]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[Day3General]
StringIndex=1
Substitute=#jpw#
UpdateDivider=-1

[Day3Conditions]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[WeatherParent]
RegExp=#Day3DayConditions#
UpdateDivider=-1

[LowTemp+3]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[Day3General]
StringIndex=4
UpdateDivider=-1

[HighTemp+3]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[Day3General]
StringIndex=3
UpdateDivider=-1


;Meter Day+3

[DateDay+3]
Meter=STRING
MeasureName=DayWeek+3
MeterStyle=Style1|STD
Text=%1
X=(290*#SCALE#)

[TempLLDay+3]
Meter=String
MeasureName=LowTemp+3
MeasureName2=HighTemp+3
MeterStyle=Style2|D5

;Day+4

[Day4General]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[WeatherParent]
RegExp=#Day4General#
UpdateDivider=-1

[DayWeek+4]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[Day4General]
StringIndex=1
Substitute=#jpw#
UpdateDivider=-1

[Day4Conditions]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[WeatherParent]
RegExp=#Day4DayConditions#
UpdateDivider=-1

[LowTemp+4]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[Day4General]
StringIndex=4
UpdateDivider=-1

[HighTemp+4]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[Day4General]
StringIndex=3
UpdateDivider=-1

;Meter Day+4

[DateDay+4]
Meter=STRING
MeasureName=DayWeek+4
MeterStyle=Style1|STD
Text=%1
X=(370*#SCALE#)

[TempLLDay+4]
Meter=String
MeasureName=LowTemp+4
MeasureName2=HighTemp+4
MeterStyle=Style2|D5

;Day+5

[Day5General]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[WeatherParent]
RegExp=#Day5General#
UpdateDivider=-1

[DayWeek+5]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[Day5General]
StringIndex=1
Substitute=#jpw#
UpdateDivider=-1

[Day5Conditions]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[WeatherParent]
RegExp=#Day5DayConditions#
UpdateDivider=-1

[LowTemp+5]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[Day5General]
StringIndex=4
UpdateDivider=-1

[HighTemp+5]
Measure=Plugin
Group=Weather
Plugin=WebParser
URL=[Day5General]
StringIndex=3
UpdateDivider=-1

;Meter Day+5

[DateDay+5]
Meter=STRING
MeasureName=DayWeek+5
MeterStyle=Style1|STD
Text=%1
X=(450*#SCALE#)

[TempLLDay+5]
Meter=String
MeasureName=LowTemp+5
MeasureName2=HighTemp+5
MeterStyle=Style2|D5

[D5]
Text=%1/ %2#UNV#
TooltipText=Min: %1/ Max: %2#UNV#
Group=Weather