[Variables]
@include=#@#Style.inc
@include2=#@#Languages\#language#.inc

[Fond]
Meter=Shape
MeterStyle=SFT

[MDate]
Measure=Time
FormatLocale=Local
Format=%B %#d, %Y
UpdateDivider=20

[MTime]
Measure=TIME
Format=#TForm#

[TDate]
Meter=STRING
MeterStyle=Style2
MeasureName=MDate
Text=%1
UpdateDivider=20
LeftMouseUpAction=control.exe timedate.cpl
TooltipText=#D&THP#
X=(560*#SCALE#)
Y=(90*#SCALE#)
FontSize=10

[Time]
Meter=STRING
MeterStyle=Style1
MeasureName=MTime
Text=%1
UpdateDivider=1
X=(560*#SCALE#)
Y=(47*#SCALE#)
FontSize=16

; CPU, RAM...

[MCPU]
Measure=CPU

[MCPUName]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=HARDWARE\DESCRIPTION\System\CentralProcessor\0
RegValue=ProcessorNameString
UpdateDivider=-1

[MCPUIdentifier]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=HARDWARE\DESCRIPTION\System\CentralProcessor\0
RegValue=Identifier
UpdateDivider=-1

[TCPU]
Meter=STRING
MeterStyle=Style1
MeasureName=MCPUName
MeasureName2=MCPUIdentifier
Text=CPU
X=(50*#SCALE#)
TooltipText=%1#CRLF#%2

[CPUValue]
Meter=STRING
MeterStyle=Style2
MeasureName=MCPU
Text=%1%
UpdateDivider=1

;RAM & SWAP

[D2]
AutoScale=1
NumOfDecimals=2

[MMemTotal]
Measure=PhysicalMemory
Total=1
UpdateDivider=-1
Group=RA

[MUsedMem]
Measure=PhysicalMemory
UpdateDivider=-1
Group=RA

[MFreeMem]
Measure=PhysicalMemory
InvertMeasure=1
UpdateDivider=5
OnChangeAction=[!UpdateMeasureGroup RA][!UpdateMeterGroup RA]

[TRam]
Meter=STRING
MeterStyle=Style1
Text=RAM
X=(130*#SCALE#)

[FM%]
Meter=STRING
MeasureName=MFreeMem
MeterStyle=Style2|D2
Percentual=1
Text=%1%
ToolTipTitle=RAM: [MMemTotal:/1073741824, 2]GB
ToolTipText=#f#: [MFreeMem:/1073741824, 2]GB#CRLF##u#: [MUsedMem:/1073741824, 2]GB
Group=RA

[MSwapTotal]
Measure=SwapMemory
Total=1
UpdateDivider=-1
Group=RA1

[MUsedSwap]
Measure=SwapMemory
UpdateDivider=-1
Group=RA1

[MFreeSwap]
Measure=SwapMemory
InvertMeasure=1
UpdateDivider=5
OnChangeAction=[!UpdateMeasureGroup RA1][!UpdateMeterGroup RA1]

[TSwap]
Meter=STRING
MeterStyle=Style1
Text=SWAP
X=(210*#SCALE#)

[FSw%]
Meter=STRING
MeasureName=MFreeSwap
MeterStyle=Style2|D2
Percentual=1
Text=%1%
ToolTipTitle=SWAP: [MSwapTotal:/1073741824, 2]GB
ToolTipText=#f#: [MFreeSwap:/1073741824, 2]GB#CRLF##u#: [MUsedSwap:/1073741824, 2]GB
Group=RA1

;Processes

[MProcesses]
Measure=Plugin
Plugin=UsageMonitor
Category=System
Counter=Processes
Index=0
UpdateDivider=4
OnChangeAction=[!UpdateMeter Proc]

[Title]
Meter=STRING
MeterStyle=Style1
Text=#PRO#
LeftMouseUpAction=["taskmgr.exe"]
ToolTipText=#Otm#
X=(290*#SCALE#)

[Proc]
Meter=STRING
MeterStyle=Style2
Text=[MProcesses:0]

[TopProcess]
Measure=Plugin
Plugin=UsageMonitor
Category=Process
Counter=% Processor Time
Index=1
Percent=1
Blacklist=_Total|Idle|dwm|wmpnetwk|csrss|svchost|lsass|System|system|Memory Compression|wininit|RemindersServer|spoolsv|IpOverUsbSvc

[Prot]
X=(370*#SCALE#)
Text=%1
H=(14*#SCALE#)
W=(80*#SCALE#)
UpdateDivider=1

[P11]
Meter=String
MeterStyle=Style1|Prot
MeasureName=TopProcess

[P1P]
Meter=String
MeterStyle=Style2
Text=[TopProcess:1]%
UpdateDivider=1

;HDD

[MDriveFreeDisk]
Measure=FreeDiskSpace
Drive=#DD#:
IgnoreRemovable=0
UpdateDivider=5
OnChangeAction=[!UpdateMeasureGroup HDD][!UpdateMeterGroup HDD]

[MDriveUsedDisk]
Measure=FreeDiskSpace
InvertMeasure=1
Drive=#DD#:
UpdateDivider=-1
IgnoreRemovable=0
Group=HDD

[MDriveSizeDisk]
Measure=FreeDiskSpace
Drive=#DD#:
Total=1
IgnoreRemovable=0
UpdateDivider=-1
Group=HDD

[MNameDisk]
Measure=FreeDiskSpace
Label=1
Drive=#DD#:
IgnoreRemovable=0
UpdateDivider=-1
Group=HDD

[TitleHD]
Meter=STRING
MeterStyle=Style1
MeasureName=MNameDisk
Text=%1
LeftMouseDownAction=[#DD#:]
ToolTipTitle=#DD# : [MNameDisk]
ToolTipText=#OD#
X=(450*#SCALE#)

[FD%]
Meter=STRING
MeasureName=MDriveFreeDisk
MeterStyle=Style2|D2
Percentual=1
Text=%1%
ToolTipTitle=#DD#: [MNameDisk]: [MDriveSizeDisk:/1073741824, 2]GB
ToolTipText=#f#: [MDriveFreeDisk:/1073741824, 2]GB#CRLF##u#: [MDriveUsedDisk:/1073741824, 2]GB
Group=HDD


[MOSVersion]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=SOFTWARE\Microsoft\Windows NT\CurrentVersion
RegValue=ProductName
UpdateDivider=-1

[MOSBits]
Measure=Plugin
Plugin=SysInfo
SysInfoType=OS_Bits
UpdateDivider=-1

[OSVersion]
Meter=String
MeterStyle=Style1
MeasureName=MOSVersion
MeasureName2=MOSBits
Text=%1 %2-bit
X=(80*#SCALE#)
Y=(12*#SCALE#)